Botan 1.10.17

Classes | Namespaces | Functions
secmem.h File Reference
`#include <botan/allocate.h>`
`#include <botan/mem_ops.h>`
`#include <algorithm>`

Go to the source code of this file.

## Classes
class | Botan::MemoryRegion< T >
class | Botan::MemoryVector< T >
class | Botan::SecureVector< T >

## Namespaces
| Botan
| std

## Functions
template<typename T >
MemoryRegion< T > & | Botan::operator+= (MemoryRegion< T > &out, const MemoryRegion< T > &in)
template<typename T >
MemoryRegion< T > & | Botan::operator+= (MemoryRegion< T > &out, T in)
template<typename T , typename L >
MemoryRegion< T > & | Botan::operator+= (MemoryRegion< T > &out, const std::pair< const T *, L > &in)
template<typename T , typename L >
MemoryRegion< T > & | Botan::operator+= (MemoryRegion< T > &out, const std::pair< T *, L > &in)
template<typename T >
void | std::swap (Botan::MemoryRegion< T > &x, Botan::MemoryRegion< T > &y)
template<typename T >
void | Botan::zeroise (MemoryRegion< T > &vec)